create module by solution

The create module by solution API sends a POST request to create a module using solution center.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller must provide a module name of at least 3 characters.
  • The caller must provide a preexisting solution name.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Request Body
Field nameDescriptionFormat
moduleNameThe name of the moduleString
solutionNameThe name of the solutionString
Response Body
Field nameDescriptionFormat
idThe id of the moduleString
nameThe name of the moduleString

Examples

{
  "solutionName": "account-cics-demo",
  "moduleName": "module-by-solution-mainframe-rpc"
}
{
  "id": "00000000-0000-0000-0001-000000000011",
  "name": "module-by-solution-mainframe-rpc"
}
Body Params
string
required
string
required
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json